/*
Theme Name: TeeSpace - Child
Theme URI: https://harutheme.com/teespace
Author: HaruTheme
Author URI: https://harutheme.com/
Description: This is child theme of TeeSpace
Template: teespace
Version: 1.0.0
*/

/*---------------------------------
  	Write your css code from here
------------------------------------*/


.haru-button.haru-button--bg-primary {
	background-color:#800080;
	border: 3px solid #fff;
	color: #fff;
}
.haru-button.haru-button--bg-primary:hover {
	background-color: #b300b3;
  	border: 3px solid #d9d9d9;
  	color: #fff;
}
.haru-button.haru-button--size-medium {
	line-height:42px;
}
.haru-button.haru-button--outline-gray {
	color:#800080;
	border: 3px solid #800080;
	background-color: #fff;
}

.elementor-25 .elementor-element.elementor-element-79aff9c .haru-button-wrap .haru-button{
	background-color:#800080 !important;
	color:#fff !important;
	line-height:3.2rem;
}

.haru-button.haru-button--outline-gray:hover {
	color: #333;
	border: 3px solid #333;
	background-color: #05ffff;
}
.elementor-button-text1.haru-button-text{
	
}
.haru-video--button-text .haru-button:hover i{
	border-color:#800080 !important;
}
.haru-social__icon svg {
	max-width:75%;
	max-height:75%;
}
.haru-social--style-5 a .haru-social__icon {
	border: 2px solid #000;
	background-color: #000;
	color: #fff;
}
.haru-social--style-5 a:hover .haru-social__icon {
	border: 2px solid #000;
	background-color: #000;
	color: #fff;
}
.haru-social--style-5 .haru-social__icon svg path{
	fill:white;
}
.elementor-125 .elementor-element.elementor-element-0935f91 .haru-social ul{
	justify-content:space-evenly;
	width:50%;
	margin:0 auto;
}


.elementor-125 .elementor-element.elementor-element-b3f1b20::before, .elementor-125 .elementor-element.elementor-element-b3f1b20 > .elementor-background-video-container::before, .elementor-125 .elementor-element.elementor-element-b3f1b20 > .e-con-inner > .elementor-background-video-container::before, .elementor-125 .elementor-element.elementor-element-b3f1b20 > .elementor-background-slideshow::before, .elementor-125 .elementor-element.elementor-element-b3f1b20 > .e-con-inner > .elementor-background-slideshow::before, .elementor-125 .elementor-element.elementor-element-b3f1b20 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{
	background-color:#000 !important;
}

.elementor-125 .elementor-element.elementor-element-b3f1b20{

	--overlay-opacity:.9 !important;
}



.swiper-slide-inner img{
	border-radius:2rem !important;
}
.elite-drops-countdown .haru-countdown__digits {
  background-color: #333;
  border-radius: 3px;
  color: #fff;
  display: inline-block;
  font-size: 30px;
  font-weight: 600;
  padding: 2px 9px;
  min-width: 45px;
  text-align: center;
  position: relative;
  border-radius: 8px;
}
.elite-drops-countdown .haru-countdown__digits::before {
  content: ':';
  font-size: 18px;
  color: #333;
  position: absolute;
  right: calc(100% + 8px);
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}

.elementor-5457 .elementor-element.elementor-element-2170f9f:not(.elementor-motion-effects-element-type-background),
.elementor-5457 .elementor-element.elementor-element-2170f9f > .elementor-motion-effects-container > .elementor-motion-effects-layer {
	background-color: transparent;
	background-image: linear-gradient(270deg, #05FFFF 6.75%, #2CFFFC94 98.85%) !important;
}
.haru-cart .haru-cart-number, .haru-wishlist-link .total{
	background-color: #333 !important;
}
.haru-cart--style-2 .haru-cart-opener {
	width: 48px;
	height: 48px;
	line-height: 48px;
	border-radius: 50%;
	text-align: center;
	background: linear-gradient(45deg, #ff00ff 0%,#05FFFF 100%) !important;
}
.haru-cart .haru-cart-opener > a {
	color: #fff;
}
.haru-cart .haru-cart-icon::before{
	font-size:1.6rem;
}
.haru-wishlist--style-1 .my-wishlist-wrap .haru-wishlist-link::before{
	font-size:1.8rem;
}
.elementor-widget-haru-nav-menu .haru-nav-menu--main .haru-item:hover,
.elementor-widget-haru-nav-menu .haru-nav-menu--main .haru-item:focus,
.elementor-widget-haru-nav-menu .haru-nav-menu--main .haru-item.highlighted{
	color:#05FFFF !important;
}
.elementor-widget-haru-nav-menu .haru-nav-menu--main .haru-item.haru-item-active{
	color: #800080 !important;
}
.haru-sub-item:hover, .haru-sub-item:focus, .haru-sub-item.highlighted, .haru-sub-item.haru-item-active {
	background-color: #800080 !important;
	color: #fff;
	transition: all .3s;
}

.haru-sub-item.haru-item-active{
	background-color: #800080 !important;
	color: #fff;
}
.haru-button.haru-button--bg-white:hover{
	background-color:#800080 !important;
}
.dark-mode .haru-button.haru-button--bg-white, .background-dark .haru-button.haru-button--bg-white {
	background-color: #fff;
	color: #000 !important;
}
.dark-mode .haru-button.haru-button--bg-white:hover, .background-dark .haru-button.haru-button--bg-white:hover {
	background-color: #800080 !important;
	color: #fff !important;
}

.haru-page-title__heading--main {
	font-family:'Komoda';
	font-size: 5rem;
	margin-top: 0;
	font-weight:600;
}
.haru-text-animation--style-3 h2 {
	font-size: 120px !important;
	line-height: 1 !important;
	font-family: 'Komoda' !important;
}
.haru-text-animation--style-3 .haru-text-animation__typewrite {
	color: #800080 !important;
	font-weight: bold !important;
}
.haru-heading-title--description-2 {
	font-size: 24px;
	color: #000;
	font-weight: 300;
	line-height: 1.8;
}
.haru-text-animation--style-3 .haru-text-animation__heading {
	position: relative;
	min-height: 240px;
}
.be-unique{
	font-family:'Komoda';
	font-size:3rem;
	font-weight:bold;
}
.haru-heading-title--heading-3 {
	font-family:'Komoda';
	font-size: 5rem;
	font-weight:500;
}
.single-product-top .product_title {
	font-size: 72px;
	font-weight: 700;
	margin-top: 0;
	margin-bottom: 15px;
}
.wpcpo-wrapper .wpcpo-total .wpcpo-subtotal .amount {
	color: #800080 !important;
}
.woocommerce .button, .woocommerce a.button, .woocommerce input.button, .woocommerce-page .button, .woocommerce-page a.button, .woocommerce-page input.button, .woocommerce-js .button, .woocommerce-js a.button, .woocommerce-js input.button {
	background: #05ffff ;
	color: #000;
	transition: all .3s;
}
.woocommerce .button:hover, .woocommerce a.button:hover, .woocommerce input.button:hover, .woocommerce-page .button:hover, .woocommerce-page a.button:hover, .woocommerce-page input.button:hover, .woocommerce-js .button:hover, .woocommerce-js a.button:hover, .woocommerce-js input.button:hover {
	background: #800080;
	color: #fff;
	transition: all .3s;
}
.woocommerce .button[disabled], .woocommerce .button.disabled, .woocommerce a.button[disabled], .woocommerce a.button.disabled, .woocommerce input.button[disabled], .woocommerce input.button.disabled, .woocommerce-page .button[disabled], .woocommerce-page .button.disabled, .woocommerce-page a.button[disabled], .woocommerce-page a.button.disabled, .woocommerce-page input.button[disabled], .woocommerce-page input.button.disabled, .woocommerce-js .button[disabled], .woocommerce-js .button.disabled, .woocommerce-js a.button[disabled], .woocommerce-js a.button.disabled, .woocommerce-js input.button[disabled], .woocommerce-js input.button.disabled {
	background: rgb(5, 255, 255, .3);
	pointer-events: none;
}



.product-thumbnail img{
	height: 100%;
  object-fit: cover;
}

img.attachment-shop_single {
	width:600px !important;
	max-width:100% !important;
	max-height:100% !important;
}
.single-product-top .single-product-image-wrap.vertical #product-thumbnails{
	padding:55px 0;
}

.single-product-top .slick-arrow.slick-prev:hover::before, .single-product-top .slick-arrow.slick-next:hover::before{
	/* color: #f0f !important; */
	color: #05ffff !important;
}


.wpcpo-option.wpcpo-option-image-radio .form-row{
	justify-content:center;
}

.wpcpo-option.wpcpo-option-image-radio .form-row label{  
	width:45% !important;
}



@media only screen and (min-width: 1024px) {
	.wpcpo-option.wpcpo-option-image-radio .form-row label{  
		width:30% !important;
	}
}
@media only screen and (min-width: 1600px) {
	.wpcpo-option.wpcpo-option-image-radio .form-row label{  
		width:23% !important;
	}	
}

.woocommerce .form-row label{
	line-height:1.5;
	font-size:.9rem;
}

.form-row .label-price {
	display:block;
	color:#696969 !important;
	font-weight:normal;
	font-size:.8rem !important;

}
.form-row .label-price .amount bdi{
	color:#696969 !important;
	font-weight:normal;
}
.wpcpo-option-name > span{
	color:#800080 !important;
}

.wpcpo-option-name > strong{
	font-size:1.2rem;
}

input[type="text"]:focus, input[type="email"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="url"]:focus, input[type="tel"]:focus, input[type="date"]:focus, select:focus, textarea:focus,.wpcpo-wrapper .wpcpo-option.wpcpo-option-image-radio .form-row input[type="radio"]:checked + label img{
	border-color: #05ffff !important;
	border-width: 2px;
}

.woocommerce-tabs .haru-accordion-title.active,
.woocommerce-loop-product__title:hover
{
	color:#800080 !important;
}

.product-item.style-2 .product-actions .product-button:hover,
.product-item.style-1 .product-actions .product-button:hover
{
	background-color: #05ffff !important;
}
.product-item.style-1 .product-actions .product-button:hover a,
.product-item.style-2 .product-actions .product-button:hover a{
	color:#000 !important;
}

.product-quick-view{
	max-width:70% !important;
	max-height:90% !important;

}

.product-quick-view img.attachment-shop_single{
	width:100% !important;
}

.woocommerce-message::before{
	color: #05ffff;
}
.woocommerce-message{

}
.woocommerce-error, .woocommerce-info, .woocommerce-message{
	border-top: 3px solid #05ffff;
}

.haru-banner--style-5{
	box-shadow:none !important;
}
.haru-button.haru-button--text-black:hover,
.haru-video--button-text .haru-button:hover i,
.haru-button.haru-button--text-primary,
.haru-banner--style-5 .haru-banner__btn,
.haru-banner--style-5 .haru-banner__btn::after{
	color:#800080 !important;
}

.haru-button.haru-button--text-primary:hover{
	color:#f0f !important;
}

.elementor img{
	height: 100% !important;
	object-fit: cover !important;
}